Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Interface Disposable

All Known Subinterfaces:
  ClsWidget, CreateProjectPlugin, ExportPlugin, ExportProjectPlugin, ImportPlugin, KnowledgeBase, Plugin, ProjectFixupPlugin, ProjectPlugin, SlotWidget, Storage, TabWidget, Widget

All Known Implementing Classes:
  AbstractBackendExportPlugin, AbstractClsWidget, AbstractCreateProjectPlugin, AbstractExportPlugin, AbstractListWidget, AbstractPlugin, AbstractProjectPlugin, AbstractSlotWidget, AbstractTableWidget, AbstractTabWidget, AbstractTreeWidget, AbstractWrappedInstance, BooleanListWidget, CheckBoxWidget, ClipsFilesCreateProjectPlugin, ClipsFilesExportProjectPlugin, ClipsImportExportPlugin, ClsesAndInstancesTab, ClsesPanel, ClsesTab, ClsFieldWidget, ClsInverseRelationshipPanel, ClsListWidget, CodeGeneratorProjectPlugin, ComboBoxWidget, CommandHistoryPanel, ConstraintsWidget, DatabaseCreateProjectPlugin, DefaultKnowledgeBase, DefaultValuesWidget, DirectDomainWidget, DirectInstancesList, DirectInstancesWidget, DirectTypesList, DirectTypesWidget, DisposableComponent, DocumentationWidget, FloatFieldWidget, FloatListWidget, FormDisplay, FormsPanel, FormsTab, FormWidget, Frames1_8_BackwardsCompatibilityProjectFixups, ImageWidget, InstanceClsesPanel, InstanceDisplay, InstanceField, InstanceFieldWidget, InstanceListWidget, InstanceNameWidget, InstancesTab, InstanceValuesComponent, IntegerFieldWidget, IntegerListWidget, InverseSlotWidget, KAToolTab, MaximumCardinalityWidget, MinimumCardinalityWidget, ModalDialog, NumberFieldWidget, NumericMaximumWidget, NumericMinimumWidget, ProjectPluginAdapter, ProtegePropertiesTab, ReferencersPanel, RelationshipPane, RoleWidget, SelectableContainer, SelectableTree, ServerAdminPanel, SetDisplaySlotPanel, SlotsTab, SlotValuesWidget, StringListWidget, SubclassPane, SubclassWidget, SubslotPane, SuperclassWidget, SuperslotsPanel, SymbolListWidget, TemplateSlotsWidget, TextAreaWidget, TextComponentWidget, TextFieldWidget, UglyClsWidget, UglySlotWidget, UglyTabWidget, UniqueStringWidget, URLWidget, ValueTypeWidget, YellowStickyWidget

    public interface Disposable

An interface for the dispose method that is available on components. This should really be part of the standard.

Author:
  Ray Fergerson

Method Summary
`void` | `dispose()`

Method Detail

### dispose

    void dispose()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.